{% extends 'base.html' %}

{% block title %}
    Projects
{% endblock title %}

{% block content %}


    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create new project</a>
            </p>
            {% for project in projects %}
            {% empty %}
                <p>You are not assigned to any projects</p>
            {% endfor %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in projects.all %}
                    <tr>
                        <td>
                            <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                        </td>
                        <td>{{ project.tasks.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>


{% endblock content %}
